// CEnemyCar Class Header
// 
// Description : inherits from CCar, adds driving AI
//

#pragma once
//includes
#include "Car.h"


///////////////////////////////////////////////////////////////////
// CEnemyCar Class
// Description:	adds enemy AI to CCar class
///////////////////////////////////////////////////////////////////
class CEnemyCar : public CCar
{
public:
					CEnemyCar()						{}
	virtual			~CEnemyCar()					{}

			// generic update function
	virtual void	Update(int* pEnv);
	virtual	void	SetPos(CPnt pntPos)				{ m_fYPos = pntPos[1];
													  CCar::SetPos(pntPos);}
			// draw the car
	virtual void	Draw();
	
private:
			// AI functions, different types of driving
			void	FollowCenterOfTrack();


// member variables
private:
	float	m_fYPos;
};