
// OpenGLManager.cpp: implementation of the COpenGLManager class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#include "OpenGLControlBase.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

COpenGLManager::COpenGLManager()
{
	m_hOpenGLContext = NULL;
	m_bHardwareAccel = true;
	m_hCompatibleDC	 = NULL;
}

COpenGLManager::~COpenGLManager()
{
	wglMakeCurrent(NULL, NULL);
	wglDeleteContext(m_hOpenGLContext);
	::DeleteDC(m_hCompatibleDC);
}

HGLRC COpenGLManager::GetContext(HDC hdc)
{
	if(m_hOpenGLContext == NULL)
	{
		m_hOpenGLContext = wglCreateContext(hdc);
		m_hCompatibleDC = CreateCompatibleDC(hdc);
	}
	return m_hOpenGLContext;
}
