// C3DModel Class Implementation
// 
// Created:		15 Oct 2000
//				Greg Croft
//

#include "stdafx.h"
#include "halcyon.h"
#include "3DModel.h"


bool C3DModel::Load(string strFilename)
{
	m_dlDisplayList = OIVCreateDisplayList((char*) strFilename.c_str( ), true);

	if (m_dlDisplayList)
	{
		INVPoint3D sMin, sMax;
		INVGetSceneLimits(sMin, sMax);
		for (int i = 0; i < 3; i++)
		{
			m_cModelExtents.min.data[i] = sMin[i];
			m_cModelExtents.max.data[i] = sMax[i];
		}
	}
	else
		return false;
	return true;
}