// CTrack Class Header
// 
// Description : handles drawing the track and collision with the walls
//

#pragma once

// includes
#include "UserCar.h"
#include "EnemyCar.h"
#include "3DModel.h"

///////////////////////////////////////////////////////////////////
// CTrack Class
// Description:	handles drawing the track and collision with the walls
///////////////////////////////////////////////////////////////////
class CTrack
{
public:
					CTrack()							{}
	virtual			~CTrack()							{}
	
			void	Update();
			void	Draw();
			int		CheckColliding(CPnt &cCar);
			bool	Load(string strModelName)			{ return(m_cTrackModel.Load(strModelName)); }

// member variables
private:
	C3DModel		m_cTrackModel;
};