// CUserCar Class Header
// 
// Description : inherits from CCar, adds user interface
//

#pragma once

// includes
#include "Car.h"

///////////////////////////////////////////////////////////////////
// CUserCar Class
// Description:	inherits from CCar, adds user interface
///////////////////////////////////////////////////////////////////
class CUserCar : public CCar
{
public:
			CUserCar();
	virtual ~CUserCar()							{}
	

			void	InitCamera();
	virtual bool	Update(bool bUp, bool bDown, bool bLeft, bool bRight, int* pEnv);

	virtual void	Draw();
			void	DrawInfo();
			
			string	GetTime();
			
			void	ToggleViewMode()				{ m_bInsideCar = !m_bInsideCar; }
			void	ToggleInGame(bool bInGame)		{ m_bInGame = bInGame; }
			void	StartIntroTimer()               { m_fStartWords = (float)clock(); }


// member variables
private:
	float		m_fStartWords;
	bool		m_bInGame;				// if in game, draw() will draw info too
	bool		m_bInsideCar;			// inside or outside car
	CPnt		m_cOldDirection[15];	// array to hold last 10 viewpoints
};